Check whether the queue contains more nodes

- « SplPriorityQueue::top

- SplFixedArray »

- PHP Manual
- SplPriorityQueue
- Check whether the queue contains more nodes

# SplPriorityQueue::valid

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

SplPriorityQueue::valid — Check whether the queue contains more nodes

### Description

public SplPriorityQueue::valid(): bool

Checks if the queue contains any more nodes.

### Parameters

This function has no parameters.

### Return Values

Returns `true` if the queue contains any more nodes, `false` otherwise.